| Home | Libraries | People | FAQ | More

## Function template integrate

boost::numeric::odeint::integrate — Integrates the ODE without observer calls.

## Synopsis

    // In header: <boost/numeric/odeint/integrate/integrate.hpp>

    template<typename System, typename State, typename Time>
      size_t integrate(System system, State & start_state, Time start_time,
                       Time end_time, Time dt);

## Description

Integrates the ODE given by system from start_time to end_time starting with start_state as initial condition and dt as initial time step. This function uses a dense output dopri5 stepper and performs an adaptive integration with step size control, thus dt changes during the integration. This method uses standard error bounds of 1E-6. No observer is called.

| Note
A second version of this function template exists which explicitly expects the value type as template parameter, i.e. integrate< double >( sys , x , t0 , t1 , dt );

Parameters: |
`dt` | Initial step size, will be adjusted during the integration.
`end_time` | End time of the integration.
`start_state` | The initial state.
`start_time` | Start time of the integration.
`system` | The system function to solve, hence the r.h.s. of the ordinary differential equation.
Returns: | The number of steps performed.